program fpcunittests;

{$mode objfpc}{$H+}

{$APPTYPE CONSOLE}

uses
  fpcunit, testreport,
{$include TestUnits.inc}
  testregistry;
  
var
  FXMLResultsWriter: TXMLResultsWriter;
  testResult: TTestResult;

begin
  testResult := TTestResult.Create;
  FXMLResultsWriter := TXMLResultsWriter.Create;
  try
    testResult.AddListener(FXMLResultsWriter);
    FXMLResultsWriter.WriteHeader;
    GetTestRegistry.Run(testResult);
    FXMLResultsWriter.WriteResult(testResult);
  finally
    testResult.Free;
    FXMLResultsWriter.Free;
  end;
end.
